ActionFormBean (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ActionFormBean,ActionFormBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionFormBean

    java.lang.Object
      |
      +--org.apache.struts.config.FormBeanConfig
            |
            +--org.apache.struts.action.ActionFormBean

All Implemented Interfaces:
  java.io.Serializable

public class ActionFormBean
extends FormBeanConfig

An ActionFormBean is the definition of a form bean that is loaded from a `<form-bean>` element in the Struts configuration file. It can be subclassed as necessary to add additional properties.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $ Since Struts 1.1 `ActionFormBean` extends `FormBeanConfig`.

  NOTE - This class would have been deprecated and replaced by `org.apache.struts.config.FormBeanConfig` except for the fact that it is part of the public API that existing applications are using.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.FormBeanConfig
`configured, dynamic, formProperties, moduleConfig, name, type`

Constructor Summary
`ActionFormBean()` Construct an instance with default vaslues.
`ActionFormBean(java.lang.String name, java.lang.String type)` Construct an instance with the specified values.

Methods inherited from class org.apache.struts.config.FormBeanConfig
`addFormPropertyConfig, findFormPropertyConfig, findFormPropertyConfigs, formBeanClass, freeze, getDynamic, getModuleConfig, getName, getType, removeFormPropertyConfig, setDynamic, setModuleConfig, setName, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionFormBean

    public ActionFormBean()

  Construct an instance with default vaslues.

### ActionFormBean

    public ActionFormBean(java.lang.String name,
                          java.lang.String type)

  Construct an instance with the specified values.

Parameters:
  `name` - Form bean name
  `type` - Fully qualified class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation